Twitter Plugin - Defect #272

getTimeline() doesn't show replies
Description

Not sure if this is by design (and this should then be a feature request) or that this is a bug.
Perhaps another parameter?Or should | always request the replies separately ?

History

#1 - 04/23/2011 09:25 PM - Patrick Talbot

Not sure what you mean by not showing replies.
If the replies are direct messages, then no, they are not part of the timeline. (Direct messages are private)
Otherwise, | see the replies I've made in my timeline, how come you don't?

#2 - 04/23/2011 09:28 PM - Robert Ivens
This what | get when | get the Replies:

61869459710812160 | servoystuff | Robert Ivens If you have a good looking sample solution, maybe you can commit it to the project?
61868005839224830 | servoystuff | Robert Ivens Yes, and | tried to implement RateLimit but the twitter is not responding on these calls
61867378656555010 | servoystuff | Robert Ivens BTW, you should use plugins.twitter.reply(account, message, inReplyTo, user); to avoid a security
exception when replying

61866714429792260 | servoystuff | Robert lvens Well there's certainly no harm in that! ;)

61860538535264260 | servoystuff | Robert Ivens The Twitter API has a few quirks, not too sure how everything is working yet...

This what | get when | get the Direct Messages:

2877124103 | servoystuff | Hope you are having fun ;-)
2873407822 | servoystuff | Test of direct message

This is my timeline:

61870843625603070 | roclasi | Patrick Talbot | will commit it back when | have most of it done
61866044867870720 | roclasi | Patrick Talbot It seems to work pretty nice so far. Only thing is the error handling.

#3 - 04/23/2011 09:37 PM - Patrick Talbot

The replies and direct messages are mine: they shouldn't appear in your time line!
If you don't set the user (or set it to roclasi) and getReplies(), you should see yours.
Direct message are never part of your timeline (even in the twitter Ul)

#4 - 04/23/2011 09:44 PM - Robert Ivens

What about the tweets of the people | am following? How do | get those ?

#5 - 04/23/2011 09:56 PM - Patrick Talbot

Ah! You're right :) | should have used getFriendsTimeLine() instead of getUserTimeLine()
Although | guess it could be useful to have only the userTimeLine as well...

Maybe | can change getTimeLine() to use getFriendsTimeLine() (your timeline + the tweets of the people you are following)
And add a getUserTimeLine() where you will only get yours?

How does that sound?

#6 - 04/23/2011 10:00 PM - Patrick Talbot

One thing though is that there is no getFriendsTimeLine() with retweets...
#7 - 04/23/2011 10:03 PM - Robert Ivens

Perhaps getTimeLine(account, mineOnly, withRetweets) ?
And a getFriendsTimeline(account) ?

#8 - 04/23/2011 10:11 PM - Patrick Talbot

getTimeLine(account, mineOnly, withRetweets, [max])
if mineOnly == false it would be the same as: getFriendsTimeLine(account, [max]) actually

I might have to subclass the getFriensTimeLine() to add the retweets to the parameters, will have a look.

#9 - 04/23/2011 10:18 PM - Robert Ivens

If mineOnly == false then you would get the full timeline with friends.
Then again if we go that route then we might have to add replies too....

Perhaps better to keep it all separate so we can handle it all ourselves.
#10 - 04/23/2011 11:20 PM - Patrick Talbot
Robert Ivens wrote:

If mineOnly == false then you would get the full timeline with friends.

Which is exactly the same as getFriendsTimeLine(), right? (friends timeline = friends + mine timeline)

Now it also all depends on what you want to emulate, one thing is for sure is that Twitter is clearly returning either your own only or yours AND your
friends. As for retweets this is not clear (it is a parameter in the call, not sure how it applies to a call to friends time line).

One thing | clearly don't like about the twitter home for example is the fact that | see tweets not only from me and the people | follow, but also from the
people followed by the people | follow, which | might not really want).

#11 - 04/23/2011 11:27 PM - Robert Ivens
Ah, | thought getFriendsTimeline would only get your friends tweets. Not your own.

As for the Twitter home page and tweets from people you don't follow. | guess these are retweets or replies. You never should see the tweets from
others than your friends.

#12 - 04/23/2011 11:33 PM - Patrick Talbot

- File twitter_inconsistencies.png added

Well looking at my home in twitter, | see tweets from people | don't follow but you do (and they aren't replies): see attached (knowing that | only follow
you) - | suppose these are all retweets by you then.

#13 - 04/23/2011 11:41 PM - Robert lvens

Correct, you can recognize them via the square chasing arrows icon following 'by ROCLASI'".

#14 - 04/23/2011 11:59 PM - Patrick Talbot

OK. Now 1 just tried and the JTwitter APl is not returning retweets in the getFriendsTimeLine() :(

And the method calls are private, so | will probably have to change the API... argh, | hate when you have badly conceived APl where as soon as you

want to do something else than what is already implemented it is not open enough to be subclassed, and you end up having to make you own fork of
it to do it right.

#15 - 04/24/2011 12:06 AM - Robert Ilvens

If it's too much work then just let it be. We can always do 2 calls and merge the message array (and sort it) ourselves.
#16 - 04/24/2011 12:24 AM - Patrick Talbot
No it's not too much work (I can embed that merge in the plugin anyway) it's just that it is a shame to have to do two calls, when all you need to do is

actually adding a parameter in the call (include_rts = 1)

#17 - 04/24/2011 03:08 AM - Patrick Talbot

- Status changed from New to In Progress

#18 - 04/24/2011 03:10 AM - Patrick Talbot
| have changed getTimeLine() into getAccountTimeLine() and getUserTimeLine()
The 1st one is merging the getRetweetsByMe to the timeLine, while getUserTimeLine cannot make use of getRetweetsByMe

#19 - 04/25/2011 11:02 PM - Patrick Talbot

Seems fixed to me with 0.8.4 - please confirm

#20 - 04/26/2011 02:09 AM - Robert Ivens

- Status changed from In Progress to Closed
It shows replies now :)
